Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.FillSign Class Reference
Inheritance diagram for foxit.pdf.FillSign:

## Public Types
enum | FillSignObjectType { FillSignObjectType.e_FillSignObjectTypeText = 0, FillSignObjectType.e_FillSignObjectTypeCrossMark = 1, FillSignObjectType.e_FillSignObjectTypeCheckMark = 2, FillSignObjectType.e_FillSignObjectTypeRoundRectangle = 3, FillSignObjectType.e_FillSignObjectTypeLine = 4, FillSignObjectType.e_FillSignObjectTypeDot = 5, FillSignObjectType.e_FillSignObjectTypeSignature = 6, FillSignObjectType.e_FillSignObjectTypeInitialsSignature = 7 }
| Enumeration for fill-sign object type. More...

## Public Member Functions
| FillSign (PDFPage page)
| Constructor, from a PDF page object. More...
| FillSign (FillSign other)
| Constructor, with another FillSign object. More...
FillSignObject | AddObject (FillSign.FillSignObjectType type, PointF point, float width, float height, Rotation rotation)
| Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor). More...
FillSignObject | AddTextObject (TextFillSignObjectDataArray text_data, PointF point, float width, float height, Rotation rotation, bool is_comb_field_mode)
| Add a new text fill-sign object to related PDF page (which is used in constructor). More...
FillSignObject | GetObjectAtDevicePoint (PointF point, Matrix2D matrix)
| Get a fill-sign object by specified point in device coordinate system. More...
FillSignObject | GetObjectAtPoint (PointF point)
| Get a fill-sign object by specified point in PDF coordinate system. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | RemoveObject (FillSignObject fillsign_object)
| Remove a specified fill-sign object. More...

## Detailed Description

Fill-sign means to fill some graphics objects to PDF page and sign them. This class is used as a manager for fill-sign objects. User can use this class to add/get/remove fill-sign objects (including cross mark, check mark, dot, line, round rectangle, signature and initials signature) to PDF page.

## Member Enumeration Documentation

## ◆ FillSignObjectType

enum foxit.pdf.FillSign.FillSignObjectType
| strong

Enumeration for fill-sign object type.

Values of this enumeration can be used alone.

Enumerator
e_FillSignObjectTypeText | Text fill-sign object.
e_FillSignObjectTypeCrossMark | Cross mark fill-sign object.
e_FillSignObjectTypeCheckMark | Check mark fill-sign object.
e_FillSignObjectTypeRoundRectangle | Round rectangle fill-sign object.
e_FillSignObjectTypeLine | Line fill-sign object.
e_FillSignObjectTypeDot | Dot fill-sign object.
e_FillSignObjectTypeSignature | Signature fill-sign object.
e_FillSignObjectTypeInitialsSignature | Initials signature fill-sign object.

## Constructor & Destructor Documentation

## ◆ FillSign() [1/2]

foxit.pdf.FillSign.FillSign | ( | PDFPage | page | ) |
| inline

Constructor, from a PDF page object.

Please ensure input PDF page has been parsed successfully.

Parameters

  [in] | page | A valid PDF page object.

## ◆ FillSign() [2/2]

foxit.pdf.FillSign.FillSign | ( | FillSign | other | ) |
| inline

Constructor, with another FillSign object.

Parameters

  [in] | other | Another object.

## Member Function Documentation

## ◆ AddObject()

FillSignObject foxit.pdf.FillSign.AddObject | ( | FillSign.FillSignObjectType | type,
|  | PointF | point,
|  | float | width,
|  | float | height,
|  | Rotation | rotation
| ) |  |
| inline

Add a new fill-sign object (except text fill-sign object) to related PDF page (which is used in constructor).

This function can be used to add fill-sign object except type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeText . If you want to add a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeText , please call function FillSign.AddTextObject instead.

- If to add a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeCrossMark , foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeCheckMark , foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeLine or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeDot , the bigger value of input width and height will be used as both width and height for the new fill-sign object.

- If to add a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeLine , input height is useless and will be ignored.

Parameters

  [in] | type | Fill-sign type which is used to specify what kind of fill-sign object is to be added. Please refer to values starting from foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeCrossMark and this should be one of these values.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values except foxit.common.Rotation.e_RotationUnknown .

Returns
  A new fill-sign object.

## ◆ AddTextObject()

FillSignObject foxit.pdf.FillSign.AddTextObject | ( | TextFillSignObjectDataArray | text_data,
|  | PointF | point,
|  | float | width,
|  | float | height,
|  | Rotation | rotation,
|  | bool | is_comb_field_mode
| ) |  |
| inline

Add a new text fill-sign object to related PDF page (which is used in constructor).

Parameters

  [in] | text_data | A text data array to be set to new text fill-sign object. For each text fill-sign object data, origin_position of member text_state will not be used.
  [in] | point | Left-bottom point for new fill-sign object, in PDF coordinate system.
  [in] | width | Width for new fill-sign object.
  [in] | height | Height for new fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from foxit.common.Rotation.e_Rotation0 and this should be one of these values except foxit.common.Rotation.e_RotationUnknown .
  [in] | is_comb_field_mode | A boolean value to decide whether for comb field mode or normal mode: true means to set input text data in comb field mode. For each text fill-sign object data, if charspace of member text_state is 0, default value 6.0f will be used instead. false means to set input text data in normal mode. For each text fill-sign object data, charspace of member text_state will not be used.

Returns
  A new fill-sign object.

## ◆ GetObjectAtDevicePoint()

FillSignObject foxit.pdf.FillSign.GetObjectAtDevicePoint | ( | PointF | point,
|  | Matrix2D | matrix
| ) |  |
| inline

Get a fill-sign object by specified point in device coordinate system.

After adding the fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeSignature or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeInitialsSignature ,all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in device coordinate system.
  [in] | matrix | A transform matrix from device coordinate system to PDF coordinate system.

Returns
  A fill-sign object.

## ◆ GetObjectAtPoint()

FillSignObject foxit.pdf.FillSign.GetObjectAtPoint | ( | PointF | point | ) |
| inline

Get a fill-sign object by specified point in PDF coordinate system.

After adding a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeSignature or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeInitialsSignature , all the existed fill-sign objects which belong to the same PDF document cannot be retrieved.

Parameters

  [in] | point | A specified point in PDF coordinate system.

Returns
  A fill-sign object.

## ◆ IsEmpty()

bool foxit.pdf.FillSign.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveObject()

bool foxit.pdf.FillSign.RemoveObject | ( | FillSignObject | fillsign_object | ) |
| inline

Remove a specified fill-sign object.

After adding a fill-sign object with type foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeSignature or foxit.pdf.FillSign.FillSignObjectType.e_FillSignObjectTypeInitialsSignature , all the existed fill-sign objects which belong to the same PDF document cannot be removed. For this case, this function will return false if any existed fill-sign object is to be removed.

Parameters

  [in] | fillsign_object | A fill-sign object to be removed.

Returns
  true means success, while false means failed.